Skip to main content
GET
List calls

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workspaceId
string<uuid>
required

Workspace identifier

limit
string
default:20

Page size (defaults to 20)

offset
string
default:0

Offset for pagination

sortBy
enum<string>
default:startedAt

Sort field

Available options:
startedAt,
duration,
sentiment,
relativeTime,
cost
sortOrder
enum<string>
default:desc

Sort direction

Available options:
asc,
desc
callIds
string

Comma-separated list of call IDs

Minimum string length: 1
startDate
string

Filter calls starting at or after this ISO timestamp

endDate
string

Filter calls starting before this ISO timestamp

phoneNumberId
string<uuid>

Filter by phone number ID

customerNumber
string

Filter by customer phone number

campaignId
string<uuid>

Filter by campaign ID

searchTerm
string

Free text search

status
string

Filter by call status

type
string

Filter by call type

endedReason
string

Filter by ended reason

filters
string

Base64-encoded filter state

includeStatusCounts
string

Set to 'false' to skip status aggregation

semanticQuery
string

Semantic (vector) search query - applied before filters

Required string length: 2 - 500
archivedFilter
enum<string>
default:active

Filter by archive status

Available options:
active,
all,
archived
export
string

Set to 'true' to return a file export

exportFormat
enum<string>

Export file format

Available options:
csv,
xlsx,
markdown
exportColumns
string

JSON array of column definitions {id,label}

additionalData
string

Comma-separated extras: transcript,cxInsights

Response

Calls with pagination and status counts

success
enum<boolean>
required
Available options:
true
data
object
required